# Interface ISubjectControlContextInformationValidator

All Superinterfaces:
  `IContextInformationValidator`

All Known Implementing Classes:
  `SubjectControlContextInformationValidator`

@Deprecated public interface ISubjectControlContextInformationValidator extends IContextInformationValidator
Deprecated.
As of 3.2, replaced by Platform UI's field assist support
Extends `IContextInformationValidator` to allow to install a content assistant on the given content assist subject control.

Since:
  3.0

## Method Summary

Modifier and Type
Method
Description
`void`
`install(IContextInformation info, IContentAssistSubjectControl contentAssistSubjectControl, int offset)`
Deprecated.

### Methods inherited from interface IContextInformationValidator

`install, isContextInformationValid`

## Method Details

### install

@Deprecated void install(IContextInformation info, IContentAssistSubjectControl contentAssistSubjectControl, int offset)
Deprecated.
Installs this validator for the given context information.

Parameters:
  `info` - the context information which this validator should check
  `contentAssistSubjectControl` - the content assist subject control
  `offset` - the document offset for which the information has been computed